<div ng-controller="userFormController as self" ng-init="self.init(
		<?= $this->user ? $this->user->getId() : '' ?>,
		<?= json_encode($this->authStorage()->getUser()->getId()) ?>
  )">
    <ul class="breadcrumb">
        <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
        <li><?= $this->translate('administration_module_title') ?></li>
        <li><a href="<?= $this->url('user') ?>"><?= $this->translate('user_module_title') ?></a></li>
        <li class="active">
            <span ng-if="self.user.id">{{self.panelTitle}}</span>
            <span ng-if="!self.user.id"><?= $this->translate('user_nav_form') ?></span>
        </li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('users') ?> <?= $this->translate('user_module_title') ?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <div class="panel">
                <div class="panel-heading">
                    <span ng-if="self.user.id">
                        {{self.panelTitle}}
                    </span>
                    ¶

                    <span ng-if="!self.user.id">
                        <?= $this->translate('user_nav_form') ?>
                    </span>

                    <div class="panel-heading-right">
                        <div ng-if="self.user.id && self.user.id !== self.userConnectedId && self.user._rights.update" class="panel-heading-actions">
                            <label>
                                <input ng-model="self.user.disabled" ng-change="self.saveUserDisabled()" type="checkbox">
                                <span><?= $this->translate('user_field_disabled') ?></span>
                                <i class="fa fa-info-circle" tooltip="<?= $this->translate('user_field_disabled_tooltip')?>" data-html="true"  hide-if-empty></i>
                            </label>
                        </div>
                        <div class="panel-heading-actions" ng-if="self.user.id && self.user._rights.delete" tooltip="<?= $this->translate('tooltip_delete') ?>">
                            <?= $this->icon('delete', 'pointer', ['ng-click' => 'self.deleteUser()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="tab-content">
                        <div class="tab-pane active" id="form">
                            <form name="userForm" ng-submit="self.saveUser()">
                                <input type="hidden" name="id" ng-model="self.user.id" />

                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        <img ng-src="{{self.user.avatar}}" width="50" height="50" ng-if="self.user.id" />

                                        <input type="file" nv-file-select uploader="self.uploader" ng-model="self.avatar" ng-if="self.user._rights.update" />
                                        <field-errors field="avatar" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group required col-sm-4">
                                        <label><?= $this->translate('user_field_gender') ?></label>
                                        <select name="gender" class="form-control" required ng-model="self.user.gender" ng-disabled="!self.user._rights.update">
                                            <option value=""></option>
                                            <?php
                                            foreach (\Core\Entity\Contact\AbstractPerson::getGenders() as $gender) {
                                                echo '<option value="' . $gender . '">' . $this->translate('user_gender_' . $gender) . '</option>';
                                            }
                                            ?>
                                        </select>
                                        <field-errors field="firstName" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group required col-sm-4">
                                        <label><?= $this->translate('user_field_firstName') ?></label>
                                        <input type="text" name="firstName" class="form-control" required autocomplete="off" ng-model="self.user.firstName" ng-readonly="!self.user._rights.update" />
                                        <field-errors field="firstName" errors="self.errors.fields"></field-errors>
                                    </div>
                                    <div class="form-group required col-sm-4">
                                        <label><?= $this->translate('user_field_lastName') ?></label>
                                        <input type="text" name="lastName" class="form-control" required autocomplete="off" ng-model="self.user.lastName" ng-readonly="!self.user._rights.update" />
                                        <field-errors field="lastName" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group required col-sm-4">
                                        <label><?= $this->translate('user_field_email') ?></label>
                                        <input type="text" name="email" class="form-control" required autocomplete="off" ng-model="self.user.email" ng-readonly="!self.user._rights.update" />
                                        <field-errors field="email" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group required col-sm-4">
                                        <label><?= $this->translate('user_field_login') ?></label>
                                        <input type="text" name="login" class="form-control" required autocomplete="off" ng-model="self.user.login" ng-readonly="!self.user._rights.update" />
                                        <field-errors field="login" errors="self.errors.fields"></field-errors>
                                    </div>
                                    <div class="form-group required col-sm-4">
                                        <label><?= $this->translate('user_field_password') ?></label>
                                        <input type="password" name="password" class="form-control" required autocomplete="off" ng-model="self.user.password" ng-readonly="!self.user._rights.update" />
                                        <field-errors field="password" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group required col-sm-4">
                                        <label><?= $this->translate('user_field_role') ?></label>                                        
                                        <role-select ng-model="self.user.role" ng-disabled="!self.user._rights.update || <?= $this->acl()->isAllowed('user:p:user:role') ? 'false' : 'true' ?>" name="role" form="userForm" required="true">
                                        </role-select>
                                        <field-errors field="role" errors="self.errors.fields"></field-errors>
                                    </div>
                                    <?php if ($this->module()->isActive('profile')) : ?>
                                        <div class="form-group  col-sm-4">
                                            <label><?= $this->translate('user_field_profile') ?></label>
                                            <profile-select ng-model="self.user.profile" ng-disabled="!self.user._rights.update || <?= $this->acl()->isAllowed('user:p:user:role') ? 'false' : 'true' ?>" name="profile" form="userForm" required="false">
                                            </profile-select>
                                            <field-errors field="profile" errors="self.errors.fields"></field-errors>
                                        </div>
                                    <?php endif; ?>
                                </div>




                                <div class="row">
                                    <?php if ($this->module()->isActive('profile')) : ?>
                                        <div class="from-group col-sm-4">
                                            <label><?= $this->translate('user_field_worked_hours') ?></label>
                                            <input type="number" class="form-control" min="0.1" step="0.01" max="24" ng-model="self.user.worked_hours" name="worked_hours" ng-disabled="!self.user._rights.update || <?= $this->acl()->isAllowed('user:p:user:role') ? 'false' : 'true' ?>">
                                            <field-errors field="worked_hours" errors="self.errors.fields"></field-errors>
                                        </div>
                                    <?php endif; ?>

                                </div>

                                <div class="row">
                                    <div class="form-group required col-sm-4">
                                        <label><?= $this->translate('user_field_color') ?></label>
                                        <input type="color" name="color" class="form-control" required autocomplete="off" ng-model="self.user.color" ng-readonly="!self.user._rights.update" />
                                        <field-errors field="color" errors="self.errors.fields"></field-errors>
                                    </div>
                                    <div class="form-group col-sm-4">
                                        <div class="form-check">
                                            <input type="checkbox" class="form-check-input" id="resizableConfiguration" ng-model="self.configuration.resizableTable" ng-readonly="!self.user._rights.update">
                                            <label class="form-check-label" for="resizableConfiguration"><?= $this->translate('user_field_resizable_table') ?>
                                                <i class="fa fa-info-circle" tooltip="<?= $this->translate('user_field_resizable_table_info')?>" data-html="true"  hide-if-empty></i>
                                            </label>
                                        </div>
                                    </div>
                                </div>

                                <?php if ($this->module()->isActive('keyword')) : ?> <div class="row">
                                        <div class="col-xs-12">
                                            <fieldset>
                                                <legend><?= $this->icon('keyword', 'fa-fw') ?> <?= $this->translate('keywords') ?></legend>
                                                <keywords-form-group entity="user" ng-model="self.user"></keywords-form-group>
                                            </fieldset>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <div ng-if="self.user._rights.update" class="row">
                                    <div class="col-xs-12">
                                        <button type="submit" class="btn btn-submit" ng-disabled="self.loading.remove || self.loading.save">
                                            <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                            <?= $this->translate('form_button_save') ?>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="tab-pane" id="custom">
                            <form name="customForm" ng-submit="self.saveCustomisation()">


                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        <div class="form-check">
                                            <input type="checkbox" class="form-check-input" id="resizableConfiguration" ng-model="self.configuration.resizableTable" ng-readonly="!self.user._rights.update">
                                            <label class="form-check-label" for="resizableConfiguration">
                                                <?= $this->translate('user_field_resizable_table') ?>
                                                <i class="fa fa-info-circle" tooltip="<?= $this->translate('user_field_resizable_table_info')?>" data-html="true"  hide-if-empty></i>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div ng-if="self.user._rights.update" class="row">
                                    <div class="col-xs-12">
                                        <button type="submit" class="btn btn-submit" ng-disabled="self.loading.remove || self.loading.save">
                                            <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                            <?= $this->translate('form_button_save') ?>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('user:e:user:c')) {
    $fabLinks[] = [
        'href' => $this->url('user/form'),
        'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('user_nav_form'),
    ];
    $fabLinks[] = [
        'href' => $this->url('import', ['entity' => 'user']),
        'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('user_nav_import'),
    ];
}

echo $this->fabMenu($fabLinks);

$this->angular('js/src/keyword/directive/keywordsFormGroup.js');
$this->angular('js/src/keyword/directive/keywordSelect.js');

$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/keyword/service/keyword.js');

$this->angular('js/src/user/directive/roleSelect.js');

if ($this->module()->isActive('profile')) {
    $this->angular('js/src/profile/service/profile.js');
    $this->angular('js/src/profile/directive/profileSelect.js');
}


$this->angular('js/src/user/service/user.js');
$this->angular('js/src/user/service/role.js');
$this->angular('js/src/user/service/configuration.js');

$this->angular('js/src/user/controller/userForm.js');
